Nhảy tới nội dung
Phiên bản: 2.3.0

Gửi quy trình chứng từ

Ngày cập nhật: 10 tháng 8, 2026
Người cập nhật: VNPT eContract's team


Mục đích​

Hàm thực hiện gửi quy trình xử lý chứng từ đến những người nhận trong quy trình đã được cập nhật trước đó

  • Request URL: /api/documents/send-process
  • HTTP method: POST
  • Authorize: Bearer token
  • Parameter:
KeyTypeDescription
idstring[Bắt buộc] Id chứng từ cần gửi quy trình

Mẫu request​

Thông tin id chứng từ cần gửi quy trình:
id: d83812e9-1a93-4872-fce3-08dad8f7f8b6
Request: /api/documents/send-process/d83812e9-1a93-4872-fce3-08dad8f7f8b6

Mẫu response body​

{
"data": {
"id": "73f4e64c-521e-457f-013f-08dad829ec1c",
"createdDate": "2022-12-07T15:06:17.9285943",
"lastModifiedDate": "2022-12-07T16:16:44.9227137+07:00",
"no": "Test0.6228890976236303",
"subject": "Test0.6228890976236303",
"hasVerified": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 2,
"description": "Ready"
},
"contractStatus": {
"value": 0,
"description": "Undefined"
},
"description": "Test tạo mới chứng từ bằng API",
"createdByUserId": 2341,
"processRecipientCount": 2,
"waitingProcess": {
"id": "04434de3-4bd4-4576-b6df-08dad82a185b",
"createdDate": "2022-12-07T15:07:33.5124667",
"comId": 164,
"isOrder": false,
"orderNo": 2,
"pageSign": 0,
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 2,
"description": "Sign draw"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 2341,
"documentId": "73f4e64c-521e-457f-013f-08dad829ec1c"
},
"processInOrder": true,
"isWaitToSignDraw": true,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"downloadUrl": "{HOST}/Api/Download?token=..."
},
"success": true,
"code": 0,
"messages": [
"Send to recipient success"
]
}

Mô tả Response Body​

KeyTypeDescription
successbooleanTrạng thái phản hồi của yêu cầu (true: Thành công, false: Thất bại)
codeintMã phản hồi từ hệ thống
messagesarrayDanh sách thông báo hoặc lỗi trả về từ hệ thống (Ví dụ: ["Send to recipient success"])
dataobjectĐối tượng chứa thông tin chứng từ sau khi gửi quy trình thành công (xem chi tiết)

Các lỗi thường gặp​

MessageDescription
Document not foundMã chứng từ không tồn tại
Only creator can update this documentGửi sai mã chứng từ không thuộc sở hữu
Cannot send the document process in the 'Ready' statusChỉ có chứng từ ở trạng thái tạo mới mới được gửi